get an installs inputs
curl --request GET \
--url https://api.nuon.co/v1/installs/{install_id}/inputs \
--header 'Authorization: <api-key>'import requests
url = "https://api.nuon.co/v1/installs/{install_id}/inputs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.nuon.co/v1/installs/{install_id}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuon.co/v1/installs/{install_id}/inputs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nuon.co/v1/installs/{install_id}/inputs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nuon.co/v1/installs/{install_id}/inputs")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuon.co/v1/installs/{install_id}/inputs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"app_input_config_id": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"install_id": "<string>",
"org_id": "<string>",
"redacted_values": {},
"updated_at": "<string>",
"values": {},
"workflow_id": "<string>"
}
]{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}get an installs inputs
Returns input values for an install.
GET
/
v1
/
installs
/
{install_id}
/
inputs
get an installs inputs
curl --request GET \
--url https://api.nuon.co/v1/installs/{install_id}/inputs \
--header 'Authorization: <api-key>'import requests
url = "https://api.nuon.co/v1/installs/{install_id}/inputs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.nuon.co/v1/installs/{install_id}/inputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nuon.co/v1/installs/{install_id}/inputs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nuon.co/v1/installs/{install_id}/inputs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nuon.co/v1/installs/{install_id}/inputs")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nuon.co/v1/installs/{install_id}/inputs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"app_input_config_id": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"install_id": "<string>",
"org_id": "<string>",
"redacted_values": {},
"updated_at": "<string>",
"values": {},
"workflow_id": "<string>"
}
]{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}Authorizations
APIKeyOrgID
Type "Bearer" followed by a space and token.
Path Parameters
install ID
Query Parameters
offset of results to return
limit of results to return
page number of results to return
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
WorkflowID is populated by handlers that create a workflow. Not persisted.